"use strict";
var KTDatatablesBasicBasic = function() {

    var dashboard_rf = function() {
        var table = $('#dashboard_rf');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},

			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					className: "dt-center",
					"createdCell": function(td, cellData, rowData, row, col) {
						switch(cellData) {
							case "Submitted":
								$(td).addClass('submitted');
								break;
							case "Rejected":
								$(td).addClass('rejected');
								break;
						}
					}
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
            ],
        });
    };

	var dashboard_po = function() {
        var table = $('#dashboard_po');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},

			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
				{
					targets: 6,
					className: "dt-center"
				},
            ],
        });
    };

	var dashboard_do = function() {
        var table = $('#dashboard_do');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},

			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					className: "dt-center",
					"createdCell": function(td, cellData, rowData, row, col) {
						switch(cellData) {
							case "Received":
								$(td).addClass('received');
								break;
							case "Pending":
								$(td).addClass('pending');
								break;
						}
					}
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
				{
					targets: 6,
					className: "dt-center"
				},
				{
					targets: 7,
					className: "dt-center"
				},
            ],
        });
    };

	var overview_tr = function() {
        var table = $('#overview_tr');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},
			
			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					title: 'Actions',
					className: "dt-center",
					orderable: false,
					render: function(data, type, full, meta) {
						return '\
						<a href="so-projects-overview-details.html" class="action-btn">\
						<i class="fas fa-eye"></i>\
						</a>\
	                    ';
					},
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center",
					"createdCell": function(td, cellData, rowData, row, col) {
						switch(cellData) {
							case "Complete":
								$(td).addClass('complete');
								break;
							case "InComplete":
								$(td).addClass('incomplete');
								break;
						}
					}
				},
            ],
        });
    };

	var overview_tr_detail = function() {
        var table = $('#overview_tr_detail');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},
			
			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					title: 'Actions',
					className: "dt-center",
					orderable: false,
					render: function(data, type, full, meta) {
						return '\
						<a href="#" class="action-btn" data-toggle="modal" data-target="#received_details">\
						<i class="fas fa-eye"></i>\
						</a>\
	                    ';
					},
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
				
            ],
        });
    };

	var rflist_pending = function() {
        var table = $('#rflist_pending');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},
			
			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					title: 'Actions',
					className: "dt-center",
					orderable: false,
					render: function(data, type, full, meta) {
						return '\
						<a href="#" class="action-btn" data-toggle="modal" data-target="#requisition_form">\
						<i class="fas fa-eye"></i>\
						</a>\
						<a href="#" class="action-btn" data-toggle="modal" data-target="#requisition_form_add_item">\
						<i class="fas fa-edit"></i>\
						</a>\
	                    ';
					},
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
				
            ],
        });
    };

	var rflist_submitted = function() {
        var table = $('#rflist_submitted');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},
			
			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					title: 'Actions',
					className: "dt-center",
					orderable: false,
					render: function(data, type, full, meta) {
						return '\
						<a href="#" class="action-btn" data-toggle="modal" data-target="#requisition_form_status_po">\
						<i class="fas fa-eye"></i>\
						</a>\
	                    ';
					},
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center",
					"createdCell": function(td, cellData, rowData, row, col) {
						var str = "Inc";
						if (cellData.indexOf('Inc') > -1){
							$(td).addClass('incomplete');
						}else if (cellData.indexOf('Cmp') > -1){
							$(td).addClass('complete');
						}
					}
				},
				
            ],
        });
    };
	
	var rflist_rejected = function() {
        var table = $('#rflist_rejected');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},
			
			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					title: 'Actions',
					className: "dt-center",
					orderable: false,
					render: function(data, type, full, meta) {
						return '\
						<a href="#" class="action-btn" data-toggle="modal" data-target="#requisition_form_rejected">\
						<i class="fas fa-eye"></i>\
						</a>\
	                    ';
					},
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
				
            ],
        });
    };

	var po_list = function() {
        var table = $('#po_list');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},
			
			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
				{
					targets: 6,
					className: "dt-center"
				},
				{
					targets: 7,
					className: "dt-center"
				},
				{
					targets: 8,
					className: "dt-center"
				},
				
            ],
        });
    };

	var do_list = function() {
        var table = $('#do_list');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},

			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					className: "dt-center",
					"createdCell": function(td, cellData, rowData, row, col) {
						switch(cellData) {
							case "Received":
								$(td).addClass('received');
								break;
							case "Pending":
								$(td).addClass('pending');
								break;
						}
					}
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
				{
					targets: 6,
					className: "dt-center"
				},
				{
					targets: 7,
					className: "dt-center"
				},
				{
					targets: 8,
					className: "dt-center"
				},
            ],
        });
    };

	var stock_checkout_list = function() {
        var table = $('#stock_checkout_list');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},
			
			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					title: 'Actions',
					className: "dt-center",
					orderable: false,
					render: function(data, type, full, meta) {
						return '\
						<a class="action-btn" data-toggle="modal" data-target="#checkout_details">\
						<i class="fas fa-eye"></i>\
						</a>\
	                    ';
					},
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
				{
					targets: 6,
					className: "dt-center"
				},
				{
					targets: 7,
					className: "dt-center"
				},
				{
					targets: 8,
					className: "dt-center"
				},
            ],
        });
    };

	var inventory_items = function() {
        var table = $('#inventory_items');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},
			
			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					title: 'Actions',
					className: "dt-center",
					orderable: false,
					render: function(data, type, full, meta) {
						return '\
						<a class="action-btn" data-toggle="modal" data-target="#checkout_details">\
						<i class="fas fa-eye"></i>\
						</a>\
	                    ';
					},
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
            ],
        });
    };

	var dashboard_vd_po = function() {
        var table = $('#dashboard_vd_po');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},

			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
            ],
        });
    };

	var dashboard_vd_do = function() {
        var table = $('#dashboard_vd_do');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},
			
			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					title: 'Actions',
					className: "dt-center",
					orderable: false,
					render: function(data, type, full, meta) {
						return '\
						<a href="vd-index-do-details.html" class="action-btn">\
						<i class="fas fa-eye"></i>\
						</a>\
	                    ';
					},
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center",
					"createdCell": function(td, cellData, rowData, row, col) {
						switch(cellData) {
							case "Delivered":
								$(td).addClass('delivered');
								break;
							case "In Transit":
								$(td).addClass('intransit');
								break;
						}
					}
				},
            ],
        });
    };

	var vd_po_list = function() {
        var table = $('#vd_po_list');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},
			
			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
				{
					targets: 6,
					className: "dt-center"
				},
				{
					targets: 7,
					className: "dt-center"
				},
            ],
        });
    };

	var vd_do_list = function() {
        var table = $('#vd_do_list');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},
			
			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					title: 'Actions',
					className: "dt-center",
					orderable: false,
					render: function(data, type, full, meta) {
						return '\
						<a href="vd-projects-do-details.html" class="action-btn">\
						<i class="fas fa-eye"></i>\
						</a>\
	                    ';
					},
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center",
					"createdCell": function(td, cellData, rowData, row, col) {
						switch(cellData) {
							case "Delivered":
								$(td).addClass('delivered');
								break;
							case "In Transit":
								$(td).addClass('intransit');
								break;
						}
					}
				},
            ],
        });
    };

	var dashboard_pm_rf = function() {
        var table = $('#dashboard_pm_rf');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},

			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					className: "dt-center",
					"createdCell": function(td, cellData, rowData, row, col) {
						switch(cellData) {
							case "Submitted":
								$(td).addClass('submitted');
								break;
							case "Rejected":
								$(td).addClass('rejected');
								break;
						}
					}
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
				{
					targets: 6,
					className: "dt-center"
				},
            ],
        });
    };

	var dashboard_pm_po = function() {
        var table = $('#dashboard_pm_po');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},

			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
				{
					targets: 6,
					className: "dt-center"
				},
				{
					targets: 7,
					className: "dt-center"
				},
            ],
        });
    };

	var dashboard_pm_do = function() {
        var table = $('#dashboard_pm_do');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},

			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					className: "dt-center",
					"createdCell": function(td, cellData, rowData, row, col) {
						switch(cellData) {
							case "Received":
								$(td).addClass('received');
								break;
							case "Pending":
								$(td).addClass('pending');
								break;
						}
					}
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
				{
					targets: 6,
					className: "dt-center"
				},
				{
					targets: 7,
					className: "dt-center"
				},{
					targets: 8,
					className: "dt-center"
				},
            ],
        });
    };

	var overview_pm_tr = function() {
        var table = $('#overview_pm_tr');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},
			
			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					title: 'Actions',
					className: "dt-center",
					orderable: false,
					render: function(data, type, full, meta) {
						return '\
						<a href="pm-projects-overview-details.html" class="action-btn">\
						<i class="fas fa-eye"></i>\
						</a>\
	                    ';
					},
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center",
					"createdCell": function(td, cellData, rowData, row, col) {
						switch(cellData) {
							case "Complete":
								$(td).addClass('complete');
								break;
							case "InComplete":
								$(td).addClass('incomplete');
								break;
						}
					}
				},
            ],
        });
    };

	var pm_rflist_pending = function() {
        var table = $('#pm_rflist_pending');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},
			
			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					title: 'Actions',
					className: "dt-center",
					orderable: false,
					render: function(data, type, full, meta) {
						return '\
						<a href="#" class="action-btn" data-toggle="modal" data-target="#requisition_form">\
						<i class="fas fa-eye"></i>\
						</a>\
						<a href="#" class="action-btn" data-toggle="modal" data-target="#requisition_form_add_item">\
						<i class="fas fa-edit"></i>\
						</a>\
						<a href="#" class="action-btn" data-toggle="modal" data-target="#reject_requisition_form">\
						<i class="fas fa-trash-alt"></i>\
						</a>\
	                    ';
					},
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
				
            ],
        });
    };

	var pm_po_list = function() {
        var table = $('#pm_po_list');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},

			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
				{
					targets: 6,
					className: "dt-center"
				},
				{
					targets: 7,
					className: "dt-center"
				},
            ],
        });
    };

	var pm_staff_settings = function() {
        var table = $('#pm_staff_settings');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},

			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					title: 'Actions',
					className: "dt-center",
					orderable: false,
					render: function(data, type, full, meta) {
						return '\
						<a href="#" class="action-btn" data-toggle="modal" data-target="#edit_User">\
						<i class="fas fa-edit"></i>\
						</a>\
	                    ';
					},
				},
				{
					targets: -1,
					className: "dt-center"
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
				{
					targets: 6,
					className: "dt-center",
					"createdCell": function(td, cellData, rowData, row, col) {
						switch(cellData) {
							case "Active":
								$(td).addClass('active');
								break;
							case "Inactive":
								$(td).addClass('inactive');
								break;
						}
					}
				},
            ],
        });
    };

	var dashboard_hq_rf = function() {
        var table = $('#dashboard_hq_rf');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},
			
			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					title: 'Actions',
					className: "dt-center",
					orderable: false,
					render: function(data, type, full, meta) {
						return '\
						<a href="#" class="action-btn" data-toggle="modal" data-target="#requisition_form_status_po">\
						<i class="fas fa-eye"></i>\
						</a>\
	                    ';
					},
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
				{
					targets: 6,
					className: "dt-center",
					"createdCell": function(td, cellData, rowData, row, col) {
						var str = "Inc";
						if (cellData.indexOf('Inc') > -1){
							$(td).addClass('incomplete');
						}else if (cellData.indexOf('Cmp') > -1){
							$(td).addClass('complete');
						}
					}
				},
				
            ],
        });
    };

	var dashboard_hq_po = function() {
        var table = $('#dashboard_hq_po');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},

			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
				{
					targets: 6,
					className: "dt-center"
				},
				{
					targets: 7,
					className: "dt-center"
				},
            ],
        });
    };

	var dashboard_hq_do = function() {
        var table = $('#dashboard_hq_do');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},

			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					className: "dt-center",
					"createdCell": function(td, cellData, rowData, row, col) {
						switch(cellData) {
							case "Received":
								$(td).addClass('received');
								break;
							case "Pending":
								$(td).addClass('pending');
								break;
						}
					}
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
				{
					targets: 6,
					className: "dt-center"
				},
				{
					targets: 7,
					className: "dt-center"
				},
				{
					targets: 8,
					className: "dt-center"
				},
            ],
        });
    };

	var hq_material_settings = function() {
        var table = $('#hq_material_settings');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},

			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					title: 'Actions',
					className: "dt-center",
					orderable: false,
					render: function(data, type, full, meta) {
						return '\
						<a href="#" class="action-btn" data-toggle="modal" data-target="#edit_Item">\
						<i class="fas fa-edit"></i>\
						</a>\
	                    ';
					},
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center",
					"createdCell": function(td, cellData, rowData, row, col) {
						switch(cellData) {
							case "Ok":
								$(td).addClass('ok');
								break;
							case "Void":
								$(td).addClass('void');
								break;
						}
					}
				},
            ],
        });
    };

	var overview_hq_tr = function() {
        var table = $('#overview_hq_tr');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},
			
			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					title: 'Actions',
					className: "dt-center",
					orderable: false,
					render: function(data, type, full, meta) {
						return '\
						<a href="hq-projects-overview-details.html" class="action-btn">\
						<i class="fas fa-eye"></i>\
						</a>\
	                    ';
					},
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center",
					"createdCell": function(td, cellData, rowData, row, col) {
						switch(cellData) {
							case "Complete":
								$(td).addClass('complete');
								break;
							case "InComplete":
								$(td).addClass('incomplete');
								break;
						}
					}
				},
            ],
        });
    };

	var hq_rflist_pending = function() {
        var table = $('#hq_rflist_pending');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},
			
			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					title: 'Actions',
					className: "dt-center",
					orderable: false,
					render: function(data, type, full, meta) {
						return '\
						<a href="#" class="action-btn" data-toggle="modal" data-target="#delete_rf_item">\
						<i class="fas fa-trash-alt"></i>\
						</a>\
	                    ';
					},
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
				{
					targets: 6,
					className: "dt-center"
				},
				{
					targets: 7,
					className: "dt-center"
				},
            ],
        });
    };

	var hq_rflist_completed = function() {
        var table = $('#hq_rflist_completed');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},
			
			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					title: 'Actions',
					className: "dt-center",
					orderable: false,
					render: function(data, type, full, meta) {
						return '\
						<a href="#" class="action-btn" data-toggle="modal" data-target="#requisition_form_completed_details">\
						<i class="fas fa-eye"></i>\
						</a>\
	                    ';
					},
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center",
					"createdCell": function(td, cellData, rowData, row, col) {
						var str = "Inc";
						if (cellData.indexOf('Inc') > -1){
							$(td).addClass('incomplete');
						}else if (cellData.indexOf('Cmp') > -1){
							$(td).addClass('complete');
						}
					}
				},
				
            ],
        });
    };

	var hq_rflist_rejected = function() {
        var table = $('#hq_rflist_rejected');

        // begin first table
        table.DataTable({
			responsive: true,

			// DOM Layout settings
			  dom: `
			  <'row'<'col-sm-12 col-md-5 text-left'f><'col-sm-12 col-md-7 text-right dataTables_pager'lB>>
			  <'row'<'col-sm-12'tr>>
			 <'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 'p>>`,

			buttons: [
				{
					extend: 'collection',
					text: 'Export',
					buttons: [
						'copy',
						'excel',
						'csv',
						'pdf',
						'print'
					]
				}
			],
			lengthMenu: [5, 10, 25, 50],
			pageLength: 10,
			language: {
				'lengthMenu': 'Display _MENU_',
			},
			
			// Order settings
			order: [[0, 'asc']],
            columnDefs: [
				{
					targets: -1,
					title: 'Actions',
					className: "dt-center",
					orderable: false,
					render: function(data, type, full, meta) {
						return '\
						<a href="#" class="action-btn" data-toggle="modal" data-target="#requisition_form_rejected">\
						<i class="fas fa-eye"></i>\
						</a>\
	                    ';
					},
				},
				{
					targets: 0,
					className: "dt-center"
				},
				{
					targets: 1,
					className: "dt-center"
				},
				{
					targets: 2,
					className: "dt-center"
				},
				{
					targets: 3,
					className: "dt-center"
				},
				{
					targets: 4,
					className: "dt-center"
				},
				{
					targets: 5,
					className: "dt-center"
				},
				{
					targets: 6,
					className: "dt-center"
				},
				{
					targets: 7,
					className: "dt-center"
				},
            ],
        });
    };


	
    return {

        //main function to initiate the module
        init: function() {
            dashboard_rf();
            dashboard_do();
            dashboard_po();
            overview_tr();
            overview_tr_detail();
            rflist_pending();
            rflist_submitted();
            rflist_rejected();
            po_list();
            do_list();
            stock_checkout_list();
            inventory_items();
            dashboard_vd_po();
            dashboard_vd_do();
            vd_po_list();
            vd_do_list();
            dashboard_pm_rf();
            dashboard_pm_po();
            dashboard_pm_do();
            overview_pm_tr();
            pm_rflist_pending();
            pm_po_list();
            pm_staff_settings();
            dashboard_hq_rf();
            dashboard_hq_po();
            dashboard_hq_do();
            overview_hq_tr();
            hq_rflist_pending();
            hq_rflist_completed();
            hq_rflist_rejected();
            hq_material_settings();
        },

    };

}();

jQuery(document).ready(function() {
	KTDatatablesBasicBasic.init();
});